Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ntp
Interface NtpV3Packet

All Known Implementing Classes:
  NtpV3Impl

    public interface NtpV3Packet

Interface for a NtpV3Packet with get/set methods corresponding to the fields in the NTP Data Message Header described in RFC 1305.

Version:
  $Revision: 489397 $ $Date: 2006-12-21 16:28:51 +0000 (Thu, 21 Dec 2006) $
Author:
  Naz Irizarry, MITRE Corp, Jason Mathews, MITRE Corp

Field Summary
`static int` | `LI_ALARM_CONDITION`
`static int` | `LI_LAST_MINUTE_HAS_59_SECONDS`
`static int` | `LI_LAST_MINUTE_HAS_61_SECONDS`
`static int` | `LI_NO_WARNING`
`static int` | `MODE_BROADCAST`
`static int` | `MODE_CLIENT`
`static int` | `MODE_CONTROL_MESSAGE`
`static int` | `MODE_PRIVATE`
`static int` | `MODE_RESERVED`
`static int` | `MODE_SERVER`
`static int` | `MODE_SYMMETRIC_ACTIVE`
`static int` | `MODE_SYMMETRIC_PASSIVE`
`static int` | `NTP_MAXCLOCK`
`static int` | `NTP_MAXPOLL`
`static int` | `NTP_MINCLOCK`
`static int` | `NTP_MINPOLL`
`static int` | `NTP_PORT` Standard NTP UDP port
`static String` | `TYPE_DAYTIME`
`static String` | `TYPE_ICMP`
`static String` | `TYPE_NTP`
`static String` | `TYPE_TIME`
`static int` | `VERSION_3`
`static int` | `VERSION_4`

Method Summary
`DatagramPacket` | `getDatagramPacket()`
`int` | `getLeapIndicator()`
`int` | `getMode()`
`String` | `getModeName()`
`TimeStamp` | `getOriginateTimeStamp()`
`int` | `getPoll()`
`int` | `getPrecision()`
`TimeStamp` | `getReceiveTimeStamp()`
`int` | `getReferenceId()`
`String` | `getReferenceIdString()`
`TimeStamp` | `getReferenceTimeStamp()`
`int` | `getRootDelay()`
`double` | `getRootDelayInMillisDouble()`
`int` | `getRootDispersion()`
`long` | `getRootDispersionInMillis()`
`double` | `getRootDispersionInMillisDouble()`
`int` | `getStratum()`
`TimeStamp` | `getTransmitTimeStamp()`
`String` | `getType()` Return type of time packet.
`int` | `getVersion()`
`void` | `setDatagramPacket(DatagramPacket dp)` Set the contents of this object from the datagram packet
`void` | `setLeapIndicator(int li)` Set leap indicator.
`void` | `setMode(int mode)` Set mode as defined in RFC-1305
`void` | `setOriginateTimeStamp(TimeStamp ts)` Set originate timestamp given NTP TimeStamp object.
`void` | `setPoll(int poll)` Set poll interval as defined in RFC-1305.
`void` | `setReceiveTimeStamp(TimeStamp ts)` Set receive timestamp given NTP TimeStamp object.
`void` | `setReferenceId(int refId)` Set reference clock identifier field.
`void` | `setReferenceTime(TimeStamp ts)` Set the reference timestamp given NTP TimeStamp object.
`void` | `setStratum(int stratum)` Set stratum as defined in RFC-1305
`void` | `setTransmitTime(TimeStamp ts)` Set the transmit timestamp given NTP TimeStamp object.
`void` | `setVersion(int mode)` Set version as defined in RFC-1305

Field Detail

### NTP_PORT

    static final int NTP_PORT

  Standard NTP UDP port

  See Also:
    Constant Field Values

### LI_NO_WARNING

    static final int LI_NO_WARNING

See Also:
  Constant Field Values

### LI_LAST_MINUTE_HAS_61_SECONDS

    static final int LI_LAST_MINUTE_HAS_61_SECONDS

See Also:
  Constant Field Values

### LI_LAST_MINUTE_HAS_59_SECONDS

    static final int LI_LAST_MINUTE_HAS_59_SECONDS

See Also:
  Constant Field Values

### LI_ALARM_CONDITION

    static final int LI_ALARM_CONDITION

See Also:
  Constant Field Values

### MODE_RESERVED

    static final int MODE_RESERVED

See Also:
  Constant Field Values

### MODE_SYMMETRIC_ACTIVE

    static final int MODE_SYMMETRIC_ACTIVE

See Also:
  Constant Field Values

### MODE_SYMMETRIC_PASSIVE

    static final int MODE_SYMMETRIC_PASSIVE

See Also:
  Constant Field Values

### MODE_CLIENT

    static final int MODE_CLIENT

See Also:
  Constant Field Values

### MODE_SERVER

    static final int MODE_SERVER

See Also:
  Constant Field Values

### MODE_BROADCAST

    static final int MODE_BROADCAST

See Also:
  Constant Field Values

### MODE_CONTROL_MESSAGE

    static final int MODE_CONTROL_MESSAGE

See Also:
  Constant Field Values

### MODE_PRIVATE

    static final int MODE_PRIVATE

See Also:
  Constant Field Values

### NTP_MINPOLL

    static final int NTP_MINPOLL

See Also:
  Constant Field Values

### NTP_MAXPOLL

    static final int NTP_MAXPOLL

See Also:
  Constant Field Values

### NTP_MINCLOCK

    static final int NTP_MINCLOCK

See Also:
  Constant Field Values

### NTP_MAXCLOCK

    static final int NTP_MAXCLOCK

See Also:
  Constant Field Values

### VERSION_3

    static final int VERSION_3

See Also:
  Constant Field Values

### VERSION_4

    static final int VERSION_4

See Also:
  Constant Field Values

### TYPE_NTP

    static final String TYPE_NTP

See Also:
  Constant Field Values

### TYPE_ICMP

    static final String TYPE_ICMP

See Also:
  Constant Field Values

### TYPE_TIME

    static final String TYPE_TIME

See Also:
  Constant Field Values

### TYPE_DAYTIME

    static final String TYPE_DAYTIME

See Also:
  Constant Field Values

Method Detail

### getDatagramPacket

    DatagramPacket getDatagramPacket()

  Returns:
    a datagram packet with the NTP parts already filled in

### setDatagramPacket

    void setDatagramPacket(DatagramPacket dp)

  Set the contents of this object from the datagram packet

### getLeapIndicator

    int getLeapIndicator()

  Returns:
    leap indicator as defined in RFC-1305

### setLeapIndicator

    void setLeapIndicator(int li)

  Set leap indicator.

  Parameters:
    `li` - - leap indicator code

### getMode

    int getMode()

  Returns:
    mode as defined in RFC-1305

### getModeName

    String getModeName()

  Returns:
    mode as human readable string; e.g. 3=Client

### setMode

    void setMode(int mode)

  Set mode as defined in RFC-1305

### getPoll

    int getPoll()

  Returns:
    poll interval as defined in RFC-1305. Field range between NTP_MINPOLL and NTP_MAXPOLL.

### setPoll

    void setPoll(int poll)

  Set poll interval as defined in RFC-1305. Field range between NTP_MINPOLL and NTP_MAXPOLL.

### getPrecision

    int getPrecision()

  Returns:
    precision as defined in RFC-1305

### getRootDelay

    int getRootDelay()

  Returns:
    root delay as defined in RFC-1305

### getRootDelayInMillisDouble

    double getRootDelayInMillisDouble()

  Returns:
    root delay in milliseconds

### getRootDispersion

    int getRootDispersion()

  Returns:
    root dispersion as defined in RFC-1305

### getRootDispersionInMillis

    long getRootDispersionInMillis()

  Returns:
    root dispersion in milliseconds

### getRootDispersionInMillisDouble

    double getRootDispersionInMillisDouble()

  Returns:
    root dispersion in milliseconds

### getVersion

    int getVersion()

  Returns:
    version as defined in RFC-1305

### setVersion

    void setVersion(int mode)

  Set version as defined in RFC-1305

### getStratum

    int getStratum()

  Returns:
    stratum as defined in RFC-1305

### setStratum

    void setStratum(int stratum)

  Set stratum as defined in RFC-1305

### getReferenceIdString

    String getReferenceIdString()

  Returns:
    the reference id string

### getReferenceId

    int getReferenceId()

  Returns:
    the reference id (32-bit code) as defined in RFC-1305

### setReferenceId

    void setReferenceId(int refId)

  Set reference clock identifier field.

  Parameters:
    `refId` -

### getTransmitTimeStamp

    TimeStamp getTransmitTimeStamp()

  Returns:
    the transmit timestamp as defined in RFC-1305

### getReferenceTimeStamp

    TimeStamp getReferenceTimeStamp()

  Returns:
    the reference time as defined in RFC-1305

### getOriginateTimeStamp

    TimeStamp getOriginateTimeStamp()

  Returns:
    the originate time as defined in RFC-1305

### getReceiveTimeStamp

    TimeStamp getReceiveTimeStamp()

  Returns:
    the receive time as defined in RFC-1305

### setTransmitTime

    void setTransmitTime(TimeStamp ts)

  Set the transmit timestamp given NTP TimeStamp object.

  Parameters:
    `ts` - - timestamp

### setReferenceTime

    void setReferenceTime(TimeStamp ts)

  Set the reference timestamp given NTP TimeStamp object.

  Parameters:
    `ts` - - timestamp

### setOriginateTimeStamp

    void setOriginateTimeStamp(TimeStamp ts)

  Set originate timestamp given NTP TimeStamp object.

  Parameters:
    `ts` - - timestamp

### setReceiveTimeStamp

    void setReceiveTimeStamp(TimeStamp ts)

  Set receive timestamp given NTP TimeStamp object.

  Parameters:
    `ts` - - timestamp

### getType

    String getType()

  Return type of time packet. The values (e.g. NTP, TIME, ICMP, ...) correspond to the protocol used to obtain the timing information.

  Returns:
    packet type string identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.